
#pragma once
#include "B4RDefines.h"
#include "MyPCF8574.h"

    //~Event: 
    //~Version: 1.0 
    //~Author - 
    //~Libray from Arduino

namespace B4R {
    //~shortname:MyPCF8574 
    class B4RMyPCF8574 
    {
        private:
            MyPCF8574 mypcf8574;
        public:
            void init(byte I2CAdd);
            void writeByte(byte sByte);
            byte readByte();
            byte readBit(byte bitNumber);
            bool isReady();
            void writeBit(byte bitNumber, bool bitWert);
            void writeBitHigh(byte bitNumber);
            void writeBitLow(byte bitNumber);
            byte readBackBit(byte bitNumber);
            byte readBackByte();
            void toggleBit(byte bitNumber);
            void toggleByte();
    };
}

