
#include "B4RDefines.h"
#include "rMyPCF8574.h"

namespace B4R
{

    MyPCF8574 mypcf8574;

    void B4RMyPCF8574::init(byte I2CAdd)
    {
       mypcf8574.init(I2CAdd);
    }

    void B4RMyPCF8574::writeByte(byte sByte)
    {
       mypcf8574.writeByte(sByte);
    }

    byte B4RMyPCF8574::readByte()
    {
       return mypcf8574.readByte();
    }

    byte B4RMyPCF8574::readBit(byte bitNumber)
    {
       return mypcf8574.readBit(bitNumber);
    }

    bool B4RMyPCF8574::isReady()
    {
       return mypcf8574.isReady();
    }

    void B4RMyPCF8574::writeBit(byte bitNumber, bool bitWert)
    {
       mypcf8574.writeBit(bitNumber, bitWert);
    }

    void B4RMyPCF8574::writeBitHigh(byte bitNumber)
    {
       mypcf8574.writeBitHigh(bitNumber);
    }

    void B4RMyPCF8574::writeBitLow(byte bitNumber)
    {
       mypcf8574.writeBitLow(bitNumber);
    }

    byte B4RMyPCF8574::readBackBit(byte bitNumber)
    {
       return mypcf8574.readBackBit(bitNumber);
    }

    byte B4RMyPCF8574::readBackByte()
    {
       return mypcf8574.readBackByte();
    }

    void B4RMyPCF8574::toggleBit(byte bitNumber)
    {
       mypcf8574.toggleBit(bitNumber);
    }

    void B4RMyPCF8574::toggleByte()
    {
       mypcf8574.toggleByte();
    }

}

